Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sax.component
Class CleaningTransformer

    java.lang.Object
      org.apache.cocoon.pipeline.component.AbstractPipelineComponent
          org.apache.cocoon.sax.AbstractSAXPipelineComponent
              org.apache.cocoon.sax.AbstractSAXProducer
                  org.apache.cocoon.sax.AbstractSAXTransformer
                      org.apache.cocoon.sax.component.CleaningTransformer

All Implemented Interfaces:
  CachingPipelineComponent, Consumer, PipelineComponent, Producer, SAXConsumer, SAXPipelineComponent, SAXProducer, ContentHandler, LexicalHandler

    public class CleaningTransformer

extends AbstractSAXTransformer
implements CachingPipelineComponent

Constructor Summary
`CleaningTransformer()`

Method Summary
`void` | `characters(char[] c, int start, int len)`
`void` | `comment(char[] ch, int start, int length)`
`CacheKey` | `constructCacheKey()`
`void` | `endElement(String uri, String localName, String name)`
`void` | `endPrefixMapping(String prefix)`
`void` | `startElement(String uri, String localName, String name, Attributes atts)`
`void` | `startPrefixMapping(String prefix, String uri)`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXTransformer
`endCDATA, endDocument, endDTD, endEntity, endSAXRecording, ignorableWhitespace, processingInstruction, removeRecorder, sendEndPrefixMapping, sendStartPrefixMapping, setDocumentLocator, setRecorder, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startSAXRecording`

Methods inherited from class org.apache.cocoon.sax.AbstractSAXProducer
`getSAXConsumer, setConsumer, setSAXConsumer, toString`

Methods inherited from class org.apache.cocoon.pipeline.component.AbstractPipelineComponent
`finish, setConfiguration, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish, setConfiguration, setup`

Constructor Detail

### CleaningTransformer

    public CleaningTransformer()

Method Detail

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Overrides:
    `startPrefixMapping` in class `AbstractSAXTransformer`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Specified by:
    `endPrefixMapping` in interface `ContentHandler`
  Overrides:
    `endPrefixMapping` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws SAXException

  Specified by:
    `comment` in interface `LexicalHandler`
  Overrides:
    `comment` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### startElement

    public void startElement(String uri,
                             String localName,
                             String name,
                             Attributes atts)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String name)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### characters

    public void characters(char[] c,
                           int start,
                           int len)
                    throws SAXException

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `AbstractSAXTransformer`
  Throws:
    `SAXException`

### constructCacheKey

    public CacheKey constructCacheKey()

  Specified by:
    `constructCacheKey` in interface `CachingPipelineComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.